Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### , (comma)

Examples

    // Comma used to separate a list of variable declarations
    int a=20, b=30, c=80;

    // Comma used to separate a list of values assigned to an array
    int[] d = { 20, 60, 80 };

    // Comma used to separate a list of parameters passed to a function
    line(a, b, c, b);
    line(d[0], d[1], d[2], d[1]);

Description | Separates parameters in function calls and elements during assignment.

Syntax

    value1, ..., valueN

Parameters

value1, ..., valueN | any int, float, byte, boolean, color, char, String

Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT